Name:           ocaml-cmdliner
Version:        0.9.3
Release:        %mkrel 6
Summary:        Declarative definition of command line interfaces
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/cmdliner
Source0:        http://erratique.ch/software/cmdliner/releases/cmdliner-%{version}.tbz
Patch0:         cmdliner-0.9.1-comment-groff-P-c.patch
BuildRequires:  ocaml-findlib

%description
Cmdliner is an OCaml module for the declarative definition of command line
interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands (like
darcs or git) and respects most of the POSIX and GNU conventions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cmdliner-%{version}
%patch0 -p 0

%build
ocaml setup.ml -configure
ocaml setup.ml -build 

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/cmdliner
ocaml setup.ml -install

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/cmdliner
%{_libdir}/ocaml/cmdliner/META
%{_libdir}/ocaml/cmdliner/*.cma
%{_libdir}/ocaml/cmdliner/*.cmi
%{_libdir}/ocaml/cmdliner/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/cmdliner/*.a
%{_libdir}/ocaml/cmdliner/*.cmxa
%{_libdir}/ocaml/cmdliner/*.cmx
%{_libdir}/ocaml/cmdliner/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-6.mga3
+ Revision: 361209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.3-5.mga3
+ Revision: 341169
- new version 0.9.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.2-4.mga3
+ Revision: 301083
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.2-3.mga3
+ Revision: 300053
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-2.mga3
+ Revision: 291468
- put back one of the two patch of the previous version that was not included upstream

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 291439
- updated to last version 0.9.2
- removed patches that where included upstream

* Mon Apr 16 2012 blue_prawn <blue_prawn> 0.9.1-2.mga2
+ Revision: 231093
- fixed how to invoke groff, thanks to Daniel Buenzli

* Sat Apr 07 2012 blue_prawn <blue_prawn> 0.9.1-1.mga2
+ Revision: 229421
- imported package ocaml-cmdliner

